org.keycloak.saml

## Class SAML2AuthnRequestBuilder

- java.lang.Object
- - org.keycloak.saml.SAML2AuthnRequestBuilder

-     public class SAML2AuthnRequestBuilder
      extends Object

  Author:
    pedroigor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `destination`
    `protected String` | `issuer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2AuthnRequestBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML2AuthnRequestBuilder` | `assertionConsumerUrl(String assertionConsumerUrl)`
    `SAML2AuthnRequestBuilder` | `destination(String destination)`
    `SAML2AuthnRequestBuilder` | `forceAuthn(boolean forceAuthn)`
    `SAML2AuthnRequestBuilder` | `isPassive(boolean isPassive)`
    `SAML2AuthnRequestBuilder` | `issuer(String issuer)`
    `SAML2AuthnRequestBuilder` | `nameIdPolicy(SAML2NameIDPolicyBuilder nameIDPolicy)`
    `SAML2AuthnRequestBuilder` | `protocolBinding(String protocolBinding)`
    `Document` | `toDocument()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### destination

          protected String destination

    - #### issuer

          protected String issuer

  - ### Constructor Detail

    - #### SAML2AuthnRequestBuilder

          public SAML2AuthnRequestBuilder()

  - ### Method Detail

    - #### destination

          public SAML2AuthnRequestBuilder destination(String destination)

    - #### issuer

          public SAML2AuthnRequestBuilder issuer(String issuer)

    - #### assertionConsumerUrl

          public SAML2AuthnRequestBuilder assertionConsumerUrl(String assertionConsumerUrl)

    - #### forceAuthn

          public SAML2AuthnRequestBuilder forceAuthn(boolean forceAuthn)

    - #### isPassive

          public SAML2AuthnRequestBuilder isPassive(boolean isPassive)

    - #### nameIdPolicy

          public SAML2AuthnRequestBuilder nameIdPolicy(SAML2NameIDPolicyBuilder nameIDPolicy)

    - #### protocolBinding

          public SAML2AuthnRequestBuilder protocolBinding(String protocolBinding)

    - #### toDocument

          public Document toDocument()

Copyright © 2016 JBoss by Red Hat. All rights reserved.